Subject: [Fot] Southwick alloy front hubs - common bearing application ?

From: Randall via Fot <[email-masked]>
Date: Tue, 24 Mar 2015 14:58:39 -0700

I bought a pair of the alloy Southwick TR3-6 front hubs a long time ago, and now I can't seem to find the box that has the bearings,
caps & seals.

Does anyone know of a common application that takes the same bearings, so I have a chance of picking them up at FLAPS?  I've got
some Timken numbers, but can't seem to cross them to any common application.  In fact, the inner bearing (1920-1986) doesn't even
appear in the current Timken catalogs, making it seem to be obsolete.  Amazon has the halves listed, but at over $100 per wheel just
for the inner bearing.

-- Randall 

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive